/* 工具栏 */
.formula-operate{
  width: 100%;
  background: #EEEEEE;
  /* position: fixed; */
  /* top: 110px; */
  z-index: 999;
}
.formula-operate h1{
  margin-bottom: 0;
  padding-top: 10px;
  text-align: center;
}
.operate-content{
  width: 1200px;
  height: 50px;
  margin: 0 auto;
  display: flex;
  align-items: center;
}
.operate-content a{
  width: 40px;
  height: 40px;
  cursor: pointer;
  margin-right: 10px;
  position: relative;
}
.formula-undo{
  background: url("/static/jsConversion/formulaEditor/images/btn_revoke_1.png") center no-repeat;
}
.formula-redo{
  background: url("/static/jsConversion/formulaEditor/images/btn_recovery_1.png") center no-repeat;
}
.formula-undo.active{
  background: url("/static/jsConversion/formulaEditor/images/btn_revoke_2.png") center no-repeat;
}
.formula-redo.active{
  background: url("/static/jsConversion/formulaEditor/images/btn_recovery_2.png") center no-repeat;
}
.formula-undo.unable{
  background: url("/static/jsConversion/formulaEditor/images/btn_revoke_1.png") center no-repeat;
}
.formula-redo.unable{
  background: url("/static/jsConversion/formulaEditor/images/btn_recovery_1.png") center no-repeat;
}

.formula-undo.active:hover{
  background: url("/static/jsConversion/formulaEditor/images/btn_revoke_3.png") center no-repeat;
}
.formula-redo.active:hover{
  background: url("/static/jsConversion/formulaEditor/images/btn_recovery_3.png") center no-repeat;
}
.formula-undo.unable:hover{
  background: url("/static/jsConversion/formulaEditor/images/btn_revoke_1.png") center no-repeat;
}
.formula-redo.unable:hover{
  background: url("/static/jsConversion/formulaEditor/images/btn_recovery_1.png") center no-repeat;
}
.deleteAll{
  /* background: url("/static/jsConversion/formulaEditor/images/btn_delete_1.png") center no-repeat; */
  position: relative;
}
.deleteAll::after{
  content: '';
  background: url("/static/jsConversion/formulaEditor/images/btn_delete_1.png") center no-repeat;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  position: absolute;
  opacity: .1;
}
.deleteAll.active{
  background: url("/static/jsConversion/formulaEditor/images/btn_delete_1.png") center no-repeat;
}
.deleteAll.active:hover{
  background: url("/static/jsConversion/formulaEditor/images/btn_delete_2.png") center no-repeat;
}

.operate-tip,.area-tip,.simpleArea-tip,.copy-tip{
  padding: 8px 12px;
  color: #fff;
  text-align: left;
  text-decoration: none;
  background-color:rgba(48, 49, 51, .9);
  border-radius: 4px;
  font-size: 14px;
  box-shadow: 0 2px 5px rgb(0 0 0 / 20%);
  white-space: nowrap;
  cursor: pointer;
  position: absolute;
  left: 5px;
  top: 42px;
  z-index: 999;
}
.copy-tip{
  left: 1050px;
}
.operate-tip::before,.area-tip::before,.simpleArea-tip::before,.copy-tip::before{
  display: block;
  content: '';
  position: absolute;
  width: 0;
  height: 0;
  border-color: transparent;
  border-style: solid;
  top: -5px;
  left: 10px;
  border-width: 0 5px 5px;
  border-bottom-color: rgba(48, 49, 51, .9);
}

/* 字符面板 */
.formula-panel{
  width: 1200px;
  height: 220px;
  margin: 15px auto;
  border: 1px solid #DDDDDD;
  border-radius: 4px;
}
.panel-group{
  display: flex;
  justify-content: space-between;
  margin: 10px;
}
.panel-group li{
  height: 37px;
  border-radius: 8px;
  background: #EEEEEE;
  cursor: pointer;
  transition: all .5s ease;
  position: relative;
}
.panel-group li:hover{
  background: #DDDDDD;
}
.panel-group li.active{
  background: #DDDDDD;
}
.panel-group img{
  width: 113px;
}

.character-list{
  height: 155px;
  margin: 10px;
  background: #EEEEEE;
  border-radius: 3px;
  position: relative;
  overflow: hidden;
}
.character-wapper{
  position: absolute;
  display: flex;
  top: 9px;
  left: 10px;
  transition: all .5s ease;
}

.character-list ul{
  display:flex;
  flex-direction: column;
  flex-wrap: wrap;
  height: 125px;
  margin-left: 5px;
  padding: 5px;
  padding: 7px;
  padding-right: 9px;
  border-radius: 5px;
  box-sizing: content-box;
}
.character-list ul.active{
  background: #e0e0e0;
}
.character-list ul:nth-child(1){
  margin-left: 0;
}
.character-list li{
  width: 40px;
  border-radius: 3px;
  margin-bottom: 8px;
  margin-left: 8px;
  background: #fff;
  overflow: hidden;
}
.character-list li:nth-child(3n){
  margin-bottom: 0px;
}
.character-list li:nth-child(-n + 3){
  margin-left: 0;
}
.character-list li:hover{
  background: #f0efef;
}
.character-list li:hover img{
  transform: scale(1.5);
}
.character-list li img{
  width: 40px;
  height: 36px;
  transition: all .3s ease;
  transform: scale(1.3);
  cursor: pointer;
}

.formula-group-simple{
  width: 1200px;
  padding: 10px;
  margin: 15px auto;
  border: 1px solid #DDDDDD;
  border-radius: 4px;
}
.panel-group-simple{
  display: flex;
}
.simple-area-img{
  transform: scale(1.2);
}
.panel-group-simple li{
  background: #EEEEEE;
  cursor: pointer;
  border-radius: 4px;
  margin-right: 20px;
  transition: all .3s ease;
  position: relative;
}
.panel-group-simple li:hover{
  background: #DDDDDD;
}
.panel-group-simple img{
  width: 40px;
  height: 36px;
}
.simple-letter-list{
  position: absolute;
  top: 44px;
  display: flex;
  width: 224px;
  flex-wrap: wrap;
  border: 1px solid #ddd;
  box-shadow: 0px 1px 5px rgb(0 0 0 / 8%);
  z-index: 99;
  background: #fff;
  border-radius: 8px;
  padding: 12px;
  padding-bottom: 0;
  cursor: default;
}
.simple-letter-list::before{
  display: block;
  content: '';
  position: absolute;
  width: 0;
  height: 0;
  border-color: transparent;
  border-style: solid;
  top: -6px;
  left: 12px;
  border-width: 0 6px 6px;
  border-bottom-color: #fff;
}
.simple-letter-list::after{
  display: block;
  content: '';
  position: absolute;
  width: 0;
  height: 0;
  border-color: transparent;
  border-style: solid;
  top: -8px;
  left: 10px;
  border-width: 0 8px 8px;
  z-index: -1;
  border-bottom-color: #ddd;
}
.simple-letter-list li{
  background: #fff;
  border: 1px solid #e0e0e0;
  margin-right: 10px;
  margin-bottom: 12px;
}
.simple-letter-list li img{
  transition: all .3s ease;
}
.simple-letter-list li:hover img{
  transform: scale(1.2);
}
.simple-letter-list li:nth-child(4n + 4){
  margin-right: 0;
}

.editor-wapper{
  width: 1200px;
  margin: 0 auto;
  border: 1px solid #DDDDDD;
  border-radius: 4px;
  box-sizing: content-box;
  position: relative;
}
.changeModel{
  display: block;
  width: 140px;
  height: 32px;
  background: #FF9623;
  border-radius: 4px;
  color: #FFFFFF;
  font-size: 14px;
  text-align: center;
  line-height: 32px;
  cursor: pointer;
  position: absolute;
  right: 28px;
  top: 8px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.changeModel img{
  margin-right: 10px;
}
.changeModel:hover{
  color: #FFF;
  background: #fa8b14;
}
.latex-model{
  width: 1150px;
  height: 250px;
  margin: 20px auto;
  margin-top: 50px;
  border: 1px solid #DDDDDD;
  position: relative;
  border-radius: 4px;
  overflow: hidden;
  position: relative;
}
.latex-preview,.latex-source{
  width: 1150px;
  height: 274px;
  margin: 0 auto;
  margin-bottom: 20px;
  border: 1px solid #DDDDDD;
  border-radius: 4px;
  position: relative;
}
.source-text{
  text-align: center;
  margin-top: 75px;
}
.source-text img{
  width: 300px;
}
.source-list{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 250px;
  padding: 15px;
}
.source-list li{
  width: 100%;
  border: 1px solid #ddd;
  border-radius: 4px;
  height: 48px;
  position: relative;
}
.source-list li p{
  line-height: 48px;
  padding-left: 20px;
  width: 1000px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  color: #555555;
}
.source-list li a{
  position: absolute;
  right: 20px;
  top: 50%;
  transform: translateY(-50%);
  display: inline-block;
  text-align: center;
  width: 60px;
  height: 30px;
  line-height: 32px;
  background: #FF9623;
  border-radius: 15px;
  color: #fff;
  cursor: pointer;
}
.source-list li a:hover{
  background: #fa8b14;
}
.latex-input{
  width: 100%;
  height: 100%;
  line-height: 100%;
  font-size: 25px;
  outline: none;
  border: none;
  overflow-y: auto;
  overflow-x: auto;
  white-space: nowrap;
  resize: none;
  padding-left: 10px;
  padding-top: 10px;
}


.latex-input::-webkit-input-placeholder {
  /* WebKit browsers */
  color: #DDDDDD;
}
.latex-input:-moz-placeholder {
  /* Mozilla Firefox 4 to 18 */
  color: #DDDDDD;
}
.latex-input::-moz-placeholder {
  /* Mozilla Firefox 19+ */
  color: #DDDDDD;
}
.latex-input::-ms-input-placeholder {
  /* Internet Explorer 10+ */
  color: #DDDDDD;
}

.preview-text{
  height: 50px;
  font-size: 30px;
  color: #DDDDDD;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
}
.preview-show{
  max-width: 100%;
  height: 100%;
  display: flex;
  overflow-x: auto;
  overflow-y: auto;
}
.zoom-sapce{
  position: absolute;
  width: 100px;
  height: 32px;
  background: #EEEEEE;
  border-radius: 4px;
  bottom: 20px;
  right: 20px;
  z-index: 99;
  display: flex;
  justify-content: space-around;
  align-items: center;
}
.zoom-sapce img{
  cursor: pointer;
}

.success-tip,.warning-tip{
  width: 250px;
  height: 60px;
  text-align: center;
  font-size: 18px;
  border-radius: 10px;
  background-color: #f0f9eb;
  border: 1px solid #e1f3d8;
  color: #67c23a;
  position: fixed;
  top: 12%;
  left: 50%;
  transform: translateX(-50%);
  z-index: 999;
  display: flex;
  justify-content: center;
  align-items: center;
}
.success-tip img,.warning-tip img{
  width: 20px;
  margin-right: 10px;
}
.warning-tip{
  background: #FFEEEE;
  color: #FA5555;
}
/* 
  弹框
*/
.formula-modal{
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  width: 450px;
  height: 230px;
  background: #FFFFFF;
  border: 1px solid #DDDDDD;
  box-shadow: 0px 0px 10px 0px rgba(217, 217, 217, 0.7);
  border-radius: 6px;
  z-index: 9999;
}
#file-save{
  width: 480px;
  height: 335px;
}
.formula-mask{
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1040;
  background-color: rgba(55,55,55,.6)
}
.formula-title{
  margin: 10px;
  padding: 14px;
  padding-bottom: 10px;
  border-bottom: 1px solid #ccc;
  color: #151506;
  position: relative;
}
.formula-title .formula-close{
  font-size: 35px;
  color: #8B8B8B;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 15px;
  cursor: pointer;
  opacity: .5;
}
.formula-title .formula-close:hover{
  opacity: 1;
}
.formula-content{
  width: 300px;
  margin: 30px auto;
  color: #515a6e;
  font-size: 17px;
}
.save-type{
  display: flex;
  margin: 20px auto;
  justify-content: space-between;
}
.save-type li{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  font-size: 14px;
  height: 105px;
  padding: 12px 11px;
  cursor: pointer;
  color: #333;
  border-radius: 4px;
}

.save-type li img{
  width: 58px;
}
.formula-word{
  padding-left: 30px;
  color: #515a6e;
  position: relative;
}
.formula-word:last-of-type{
  margin-bottom: 22px;
}
#formula-setting{
  height: 320px;
}
#formula-setting .formula-word::before{
  content: '';
  display: block;
  position: absolute;
  width: 80%;
  height: 1px;
  background: rgb(213, 213, 213);
  right: 20px;
  top: 55%;
  transform: translateY(-51%); 
}
.set-model{
  font-size: 14px;
  padding: 15px 0 15px 60px;
  color: #555;
}
.set-model span{
  font-size: 12px;
  color: rgb(162, 162, 162);
  margin-left: 10px;
}
.model-type{
  display: flex;
  margin-left: 80px;
  margin-bottom: 14px;
}
.model-type li a{
  color: #555;
  font-size: 14px;
  cursor: pointer;
}
.model-type li a.active{
  color: #1a1a1a;
  font-weight: bold;
}
.model-type li a:last-of-type{
  margin-left: 20px;
}
.model-type li span{
  position: relative;
  display: inline-block;
  width: 13px;
  height: 13px;
  border: 1px solid #555;
  border-radius: 50%;
  vertical-align: middle;
  margin-right: 8px;
  margin-top: -3px;
  background: #fff;
  transition: all .5s ease;
}
.model-type li span.active{
  background: #FF9623;
  border: 1px solid #FF9623;
}
.model-type li span i{
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 5px;
  height: 5px;
  background: #fff;
  border-radius: 50%;
  vertical-align: middle;
}

.color-bg{
  display: flex;
  align-items: center;
  margin-left: 80px;
  color: #555;
}
.color-bg .color-choose{
  display: inline-block;
  width: 30px;
  height: 26px;
  border: 1px solid #888;
  background: #fff;
  cursor: pointer;
}
.color-bg .color-choose:hover{
  border: 1px solid #555;
}
.color-bg #png-inputBox{
  -webkit-appearance: checkbox;
  outline: 0 !important;
  float: initial;
  margin-right: 5px;
  margin-left: 7px;
  margin-top: 0;
  cursor: pointer;
  position: relative;
}
.color-bg input[type="checkbox"]::before{
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  background: #fff;
  width: 13px;
  height: 13px;
  border: 1px solid #333333;
}
.color-bg input[type="checkbox"]:checked::before{
  background-color: #fff;
  color: #fff;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  border: 1px solid #333;
  font-size: 12px;
  font-weight: bold;
}
.color-bg input[type="checkbox"]:checked::after{
  content: "\2713";
  color: #333;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 12px;
  font-weight: bold;
}
.color-bg label{
  cursor: pointer;
}
.formula-footer{
  display: flex;
  align-items: center;
  justify-content: flex-end;
  margin: 0 20px;
}
.formula-footer a{
  color: #515a6e;
  cursor: pointer;
  color: #515a6e;
  cursor: pointer;
  padding: 10px 20px;
  border: 1px solid #CCC;
  font-size: 14px;
  margin-left: 15px;
  border-radius: 4px;
  transition: all .5s ease;
}
.formula-footer a.save{
  background: #888;
  color: #fff;
}
.formula-footer .un-save:hover{
  background: #ddd;
}
.formula-footer a.save:hover{
  background: #555;
}
.formula-footer a.cancel:hover{
  background: rgb(233, 233, 233);
}
.formula-footer a.save-local{
  color: #FFF;
  border: 1px solid #ffa84b;
  background: #ffa84b;
}
.formula-footer a.save-local.active{
  background: #fa8b14;
}
.formula-footer a.save-local.active:hover{
  background: #fa860a;
}